Skip to main content

Get order by ID

GET /v1/public/orders/{id}

Returns one processed order belonging to the authenticated merchant.

Authorization

X-API-Key required with the orders:read scope

Parameters

NameLocationTypeRequiredDescription
idpathstringYesThe resource's returned id or externalId.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/orders/66c735e253f2836fbe941234" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Order retrieved.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": {
"id": "66c735e253f2836fbe941234",
"orderNumber": "ORDER-1042",
"value": 24.5,
"source": "Shopify",
"integrationType": "zapier",
"stampsAwarded": 2,
"customerId": "66c735e253f2836fbe941235",
"createdAt": "2026-08-23T11:00:00.000Z"
}
}